Subject: Shortest path between commits

From: Ralf Baechle <[email-masked]>
Date: Wed, 8 Feb 2006 16:03:08 +0000

I wonder if there some way to find the shortest path between two commits?
That is if there is a merge between the two commits I only want the merge
commit itself, not the potencially large list of commits that were merged.

I need that for commit notification scripts; I don't want to spam users
with too many emails and aggregating everything that came through a single
merge would be a reaonsable approach.

  Ralf